diff --git a/backend/src/graphql/resolver/AdminResolver.test.ts b/backend/src/graphql/resolver/AdminResolver.test.ts
index acf880efb..7b1c6ffcd 100644
--- a/backend/src/graphql/resolver/AdminResolver.test.ts
+++ b/backend/src/graphql/resolver/AdminResolver.test.ts
@@ -13,27 +13,33 @@ import { peterLustig } from '@/seeds/users/peter-lustig'
 import { stephenHawking } from '@/seeds/users/stephen-hawking'
 import { garrickOllivander } from '@/seeds/users/garrick-ollivander'
 import {
+  setUserRole,
   deleteUser,
   unDeleteUser,
-  createPendingCreation,
-  createPendingCreations,
-  updatePendingCreation,
-  deletePendingCreation,
-  confirmPendingCreation,
+  adminCreateContribution,
+  adminCreateContributions,
+  adminUpdateContribution,
+  adminDeleteContribution,
+  confirmContribution,
+  createContributionLink,
+  deleteContributionLink,
+  updateContributionLink,
 } from '@/seeds/graphql/mutations'
 import {
-  getPendingCreations,
+  listUnconfirmedContributions,
   login,
   searchUsers,
   listTransactionLinksAdmin,
+  listContributionLinks,
 } from '@/seeds/graphql/queries'
 import { GraphQLError } from 'graphql'
 import { User } from '@entity/User'
 /* eslint-disable-next-line @typescript-eslint/no-unused-vars */
 import { sendAccountActivationEmail } from '@/mailer/sendAccountActivationEmail'
 import Decimal from 'decimal.js-light'
-import { AdminPendingCreation } from '@entity/AdminPendingCreation'
+import { Contribution } from '@entity/Contribution'
 import { Transaction as DbTransaction } from '@entity/Transaction'
+import { ContributionLink as DbContributionLink } from '@entity/ContributionLink'
 
 // mock account activation email to avoid console spam
 jest.mock('@/mailer/sendAccountActivationEmail', () => {
@@ -61,9 +67,164 @@ afterAll(async () => {
 
 let admin: User
 let user: User
-let creation: AdminPendingCreation | void
+let creation: Contribution | void
 
 describe('AdminResolver', () => {
+  describe('set user role', () => {
+    describe('unauthenticated', () => {
+      it('returns an error', async () => {
+        await expect(
+          mutate({ mutation: setUserRole, variables: { userId: 1, isAdmin: true } }),
+        ).resolves.toEqual(
+          expect.objectContaining({
+            errors: [new GraphQLError('401 Unauthorized')],
+          }),
+        )
+      })
+    })
+
+    describe('authenticated', () => {
+      describe('without admin rights', () => {
+        beforeAll(async () => {
+          user = await userFactory(testEnv, bibiBloxberg)
+          await query({
+            query: login,
+            variables: { email: 'bibi@bloxberg.de', password: 'Aa12345_' },
+          })
+        })
+
+        afterAll(async () => {
+          await cleanDB()
+          resetToken()
+        })
+
+        it('returns an error', async () => {
+          await expect(
+            mutate({ mutation: setUserRole, variables: { userId: user.id + 1, isAdmin: true } }),
+          ).resolves.toEqual(
+            expect.objectContaining({
+              errors: [new GraphQLError('401 Unauthorized')],
+            }),
+          )
+        })
+      })
+
+      describe('with admin rights', () => {
+        beforeAll(async () => {
+          admin = await userFactory(testEnv, peterLustig)
+          await query({
+            query: login,
+            variables: { email: 'peter@lustig.de', password: 'Aa12345_' },
+          })
+        })
+
+        afterAll(async () => {
+          await cleanDB()
+          resetToken()
+        })
+
+        describe('user to get a new role does not exist', () => {
+          it('throws an error', async () => {
+            await expect(
+              mutate({ mutation: setUserRole, variables: { userId: admin.id + 1, isAdmin: true } }),
+            ).resolves.toEqual(
+              expect.objectContaining({
+                errors: [new GraphQLError(`Could not find user with userId: ${admin.id + 1}`)],
+              }),
+            )
+          })
+        })
+
+        describe('change role with success', () => {
+          beforeAll(async () => {
+            user = await userFactory(testEnv, bibiBloxberg)
+          })
+
+          describe('user gets new role', () => {
+            describe('to admin', () => {
+              it('returns date string', async () => {
+                const result = await mutate({
+                  mutation: setUserRole,
+                  variables: { userId: user.id, isAdmin: true },
+                })
+                expect(result).toEqual(
+                  expect.objectContaining({
+                    data: {
+                      setUserRole: expect.any(String),
+                    },
+                  }),
+                )
+                expect(new Date(result.data.setUserRole)).toEqual(expect.any(Date))
+              })
+            })
+
+            describe('to usual user', () => {
+              it('returns null', async () => {
+                await expect(
+                  mutate({ mutation: setUserRole, variables: { userId: user.id, isAdmin: false } }),
+                ).resolves.toEqual(
+                  expect.objectContaining({
+                    data: {
+                      setUserRole: null,
+                    },
+                  }),
+                )
+              })
+            })
+          })
+        })
+
+        describe('change role with error', () => {
+          describe('is own role', () => {
+            it('throws an error', async () => {
+              await expect(
+                mutate({ mutation: setUserRole, variables: { userId: admin.id, isAdmin: false } }),
+              ).resolves.toEqual(
+                expect.objectContaining({
+                  errors: [new GraphQLError('Administrator can not change his own role!')],
+                }),
+              )
+            })
+          })
+
+          describe('user has already role to be set', () => {
+            describe('to admin', () => {
+              it('throws an error', async () => {
+                await mutate({
+                  mutation: setUserRole,
+                  variables: { userId: user.id, isAdmin: true },
+                })
+                await expect(
+                  mutate({ mutation: setUserRole, variables: { userId: user.id, isAdmin: true } }),
+                ).resolves.toEqual(
+                  expect.objectContaining({
+                    errors: [new GraphQLError('User is already admin!')],
+                  }),
+                )
+              })
+            })
+
+            describe('to usual user', () => {
+              it('throws an error', async () => {
+                await mutate({
+                  mutation: setUserRole,
+                  variables: { userId: user.id, isAdmin: false },
+                })
+                await expect(
+                  mutate({ mutation: setUserRole, variables: { userId: user.id, isAdmin: false } }),
+                ).resolves.toEqual(
+                  expect.objectContaining({
+                    errors: [new GraphQLError('User is already a usual user!')],
+                  }),
+                )
+              })
+            })
+          })
+        })
+      })
+    })
+  })
+
   describe('delete user', () => {
     describe('unauthenticated', () => {
       it('returns an error', async () => {
@@ -497,9 +658,9 @@ describe('AdminResolver', () => {
     }
 
     describe('unauthenticated', () => {
-      describe('createPendingCreation', () => {
+      describe('adminCreateContribution', () => {
         it('returns an error', async () => {
-          await expect(mutate({ mutation: createPendingCreation, variables })).resolves.toEqual(
+          await expect(mutate({ mutation: adminCreateContribution, variables })).resolves.toEqual(
             expect.objectContaining({
               errors: [new GraphQLError('401 Unauthorized')],
             }),
@@ -507,11 +668,11 @@ describe('AdminResolver', () => {
         })
       })
 
-      describe('createPendingCreations', () => {
+      describe('adminCreateContributions', () => {
         it('returns an error', async () => {
           await expect(
             mutate({
-              mutation: createPendingCreations,
+              mutation: adminCreateContributions,
               variables: { pendingCreations: [variables] },
             }),
           ).resolves.toEqual(
@@ -522,11 +683,11 @@ describe('AdminResolver', () => {
         })
       })
 
-      describe('updatePendingCreation', () => {
+      describe('adminUpdateContribution', () => {
         it('returns an error', async () => {
           await expect(
             mutate({
-              mutation: updatePendingCreation,
+              mutation: adminUpdateContribution,
               variables: {
                 id: 1,
                 email: 'bibi@bloxberg.de',
@@ -543,11 +704,11 @@ describe('AdminResolver', () => {
         })
       })
 
-      describe('getPendingCreations', () => {
+      describe('listUnconfirmedContributions', () => {
         it('returns an error', async () => {
           await expect(
             query({
-              query: getPendingCreations,
+              query: listUnconfirmedContributions,
             }),
           ).resolves.toEqual(
             expect.objectContaining({
@@ -557,11 +718,11 @@ describe('AdminResolver', () => {
         })
       })
 
-      describe('deletePendingCreation', () => {
+      describe('adminDeleteContribution', () => {
         it('returns an error', async () => {
           await expect(
             mutate({
-              mutation: deletePendingCreation,
+              mutation: adminDeleteContribution,
               variables: {
                 id: 1,
               },
@@ -574,11 +735,11 @@ describe('AdminResolver', () => {
         })
       })
 
-      describe('confirmPendingCreation', () => {
+      describe('confirmContribution', () => {
         it('returns an error', async () => {
           await expect(
             mutate({
-              mutation: confirmPendingCreation,
+              mutation: confirmContribution,
               variables: {
                 id: 1,
               },
@@ -607,9 +768,9 @@ describe('AdminResolver', () => {
           resetToken()
         })
 
-        describe('createPendingCreation', () => {
+        describe('adminCreateContribution', () => {
           it('returns an error', async () => {
-            await expect(mutate({ mutation: createPendingCreation, variables })).resolves.toEqual(
+            await expect(mutate({ mutation: adminCreateContribution, variables })).resolves.toEqual(
               expect.objectContaining({
                 errors: [new GraphQLError('401 Unauthorized')],
               }),
@@ -617,11 +778,11 @@ describe('AdminResolver', () => {
           })
         })
 
-        describe('createPendingCreations', () => {
+        describe('adminCreateContributions', () => {
           it('returns an error', async () => {
             await expect(
               mutate({
-                mutation: createPendingCreations,
+                mutation: adminCreateContributions,
                 variables: { pendingCreations: [variables] },
               }),
             ).resolves.toEqual(
@@ -632,11 +793,11 @@ describe('AdminResolver', () => {
           })
         })
 
-        describe('updatePendingCreation', () => {
+        describe('adminUpdateContribution', () => {
           it('returns an error', async () => {
             await expect(
               mutate({
-                mutation: updatePendingCreation,
+                mutation: adminUpdateContribution,
                 variables: {
                   id: 1,
                   email: 'bibi@bloxberg.de',
@@ -653,11 +814,11 @@ describe('AdminResolver', () => {
           })
         })
 
-        describe('getPendingCreations', () => {
+        describe('listUnconfirmedContributions', () => {
           it('returns an error', async () => {
             await expect(
               query({
-                query: getPendingCreations,
+                query: listUnconfirmedContributions,
               }),
             ).resolves.toEqual(
               expect.objectContaining({
@@ -667,11 +828,11 @@ describe('AdminResolver', () => {
           })
         })
 
-        describe('deletePendingCreation', () => {
+        describe('adminDeleteContribution', () => {
           it('returns an error', async () => {
             await expect(
               mutate({
-                mutation: deletePendingCreation,
+                mutation: adminDeleteContribution,
                 variables: {
                   id: 1,
                 },
@@ -684,11 +845,11 @@ describe('AdminResolver', () => {
           })
         })
 
-        describe('confirmPendingCreation', () => {
+        describe('confirmContribution', () => {
           it('returns an error', async () => {
             await expect(
               mutate({
-                mutation: confirmPendingCreation,
+                mutation: confirmContribution,
                 variables: {
                   id: 1,
                 },
@@ -716,7 +877,7 @@ describe('AdminResolver', () => {
           resetToken()
         })
 
-        describe('createPendingCreation', () => {
+        describe('adminCreateContribution', () => {
           beforeAll(async () => {
             const now = new Date()
             creation = await creationFactory(testEnv, {
@@ -729,7 +890,9 @@ describe('AdminResolver', () => {
 
           describe('user to create for does not exist', () => {
             it('throws an error', async () => {
-              await expect(mutate({ mutation: createPendingCreation, variables })).resolves.toEqual(
+              await expect(
+                mutate({ mutation: adminCreateContribution, variables }),
+              ).resolves.toEqual(
                 expect.objectContaining({
                   errors: [new GraphQLError('Could not find user with email: bibi@bloxberg.de')],
                 }),
@@ -744,9 +907,13 @@ describe('AdminResolver', () => {
             })
 
             it('throws an error', async () => {
-              await expect(mutate({ mutation: createPendingCreation, variables })).resolves.toEqual(
+              await expect(
+                mutate({ mutation: adminCreateContribution, variables }),
+              ).resolves.toEqual(
                 expect.objectContaining({
-                  errors: [new GraphQLError('This user was deleted. Cannot make a creation.')],
+                  errors: [
+                    new GraphQLError('This user was deleted. Cannot create a contribution.'),
+                  ],
                 }),
               )
             })
@@ -759,9 +926,13 @@ describe('AdminResolver', () => {
             })
 
             it('throws an error', async () => {
-              await expect(mutate({ mutation: createPendingCreation, variables })).resolves.toEqual(
+              await expect(
+                mutate({ mutation: adminCreateContribution, variables }),
+              ).resolves.toEqual(
                 expect.objectContaining({
-                  errors: [new GraphQLError('Creation could not be saved, Email is not activated')],
+                  errors: [
+                    new GraphQLError('Contribution could not be saved, Email is not activated'),
+                  ],
                 }),
               )
             })
@@ -776,7 +947,7 @@ describe('AdminResolver', () => {
             describe('date of creation is not a date string', () => {
               it('throws an error', async () => {
                 await expect(
-                  mutate({ mutation: createPendingCreation, variables }),
+                  mutate({ mutation: adminCreateContribution, variables }),
                 ).resolves.toEqual(
                   expect.objectContaining({
                     errors: [
@@ -796,7 +967,7 @@ describe('AdminResolver', () => {
                   1,
                 ).toString()
                 await expect(
-                  mutate({ mutation: createPendingCreation, variables }),
+                  mutate({ mutation: adminCreateContribution, variables }),
                 ).resolves.toEqual(
                   expect.objectContaining({
                     errors: [
@@ -816,7 +987,7 @@ describe('AdminResolver', () => {
                   1,
                 ).toString()
                 await expect(
-                  mutate({ mutation: createPendingCreation, variables }),
+                  mutate({ mutation: adminCreateContribution, variables }),
                 ).resolves.toEqual(
                   expect.objectContaining({
                     errors: [
@@ -831,7 +1002,7 @@ describe('AdminResolver', () => {
               it('throws an error', async () => {
                 variables.creationDate = new Date().toString()
                 await expect(
-                  mutate({ mutation: createPendingCreation, variables }),
+                  mutate({ mutation: adminCreateContribution, variables }),
                 ).resolves.toEqual(
                   expect.objectContaining({
                     errors: [
@@ -848,11 +1019,11 @@ describe('AdminResolver', () => {
               it('returns an array of the open creations for the last three months', async () => {
                 variables.amount = new Decimal(200)
                 await expect(
-                  mutate({ mutation: createPendingCreation, variables }),
+                  mutate({ mutation: adminCreateContribution, variables }),
                 ).resolves.toEqual(
                   expect.objectContaining({
                     data: {
-                      createPendingCreation: [1000, 1000, 800],
+                      adminCreateContribution: [1000, 1000, 800],
                     },
                   }),
                 )
@@ -863,7 +1034,7 @@ describe('AdminResolver', () => {
               it('returns an array of the open creations for the last three months', async () => {
                 variables.amount = new Decimal(1000)
                 await expect(
-                  mutate({ mutation: createPendingCreation, variables }),
+                  mutate({ mutation: adminCreateContribution, variables }),
                 ).resolves.toEqual(
                   expect.objectContaining({
                     errors: [
@@ -878,7 +1049,7 @@ describe('AdminResolver', () => {
           })
         })
 
-        describe('createPendingCreations', () => {
+        describe('adminCreateContributions', () => {
           // at this point we have this data in DB:
           // bibi@bloxberg.de: [1000, 1000, 800]
           // peter@lustig.de: [1000, 600, 1000]
@@ -903,16 +1074,16 @@ describe('AdminResolver', () => {
           it('returns success, two successful creation and three failed creations', async () => {
             await expect(
               mutate({
-                mutation: createPendingCreations,
+                mutation: adminCreateContributions,
                 variables: { pendingCreations: massCreationVariables },
               }),
             ).resolves.toEqual(
               expect.objectContaining({
                 data: {
-                  createPendingCreations: {
+                  adminCreateContributions: {
                     success: true,
-                    successfulCreation: ['bibi@bloxberg.de', 'peter@lustig.de'],
-                    failedCreation: [
+                    successfulContribution: ['bibi@bloxberg.de', 'peter@lustig.de'],
+                    failedContribution: [
                       'stephen@hawking.uk',
                       'garrick@ollivander.com',
                       'bob@baumeister.de',
@@ -924,7 +1095,7 @@ describe('AdminResolver', () => {
           })
         })
 
-        describe('updatePendingCreation', () => {
+        describe('adminUpdateContribution', () => {
           // at this I expect to have this data in DB:
           // bibi@bloxberg.de: [1000, 1000, 300]
           // peter@lustig.de: [1000, 600, 500]
@@ -935,7 +1106,7 @@ describe('AdminResolver', () => {
             it('throws an error', async () => {
               await expect(
                 mutate({
-                  mutation: updatePendingCreation,
+                  mutation: adminUpdateContribution,
                   variables: {
                     id: 1,
                     email: 'bob@baumeister.de',
@@ -956,7 +1127,7 @@ describe('AdminResolver', () => {
             it('throws an error', async () => {
               await expect(
                 mutate({
-                  mutation: updatePendingCreation,
+                  mutation: adminUpdateContribution,
                   variables: {
                     id: 1,
                     email: 'stephen@hawking.uk',
@@ -977,7 +1148,7 @@ describe('AdminResolver', () => {
             it('throws an error', async () => {
               await expect(
                 mutate({
-                  mutation: updatePendingCreation,
+                  mutation: adminUpdateContribution,
                   variables: {
                     id: -1,
                     email: 'bibi@bloxberg.de',
@@ -988,7 +1159,7 @@ describe('AdminResolver', () => {
                 }),
               ).resolves.toEqual(
                 expect.objectContaining({
-                  errors: [new GraphQLError('No creation found to given id.')],
+                  errors: [new GraphQLError('No contribution found to given id.')],
                 }),
               )
             })
@@ -998,7 +1169,7 @@ describe('AdminResolver', () => {
             it('throws an error', async () => {
               await expect(
                 mutate({
-                  mutation: updatePendingCreation,
+                  mutation: adminUpdateContribution,
                   variables: {
                     id: creation ? creation.id : -1,
                     email: 'bibi@bloxberg.de',
@@ -1011,7 +1182,7 @@ describe('AdminResolver', () => {
                 expect.objectContaining({
                   errors: [
                     new GraphQLError(
-                      'user of the pending creation and send user does not correspond',
+                      'user of the pending contribution and send user does not correspond',
                     ),
                   ],
                 }),
@@ -1023,7 +1194,7 @@ describe('AdminResolver', () => {
             it('throws an error', async () => {
               await expect(
                 mutate({
-                  mutation: updatePendingCreation,
+                  mutation: adminUpdateContribution,
                   variables: {
                     id: creation ? creation.id : -1,
                     email: 'peter@lustig.de',
@@ -1048,7 +1219,7 @@ describe('AdminResolver', () => {
             it('returns update creation object', async () => {
               await expect(
                 mutate({
-                  mutation: updatePendingCreation,
+                  mutation: adminUpdateContribution,
                   variables: {
                     id: creation ? creation.id : -1,
                     email: 'peter@lustig.de',
@@ -1060,7 +1231,7 @@ describe('AdminResolver', () => {
               ).resolves.toEqual(
                 expect.objectContaining({
                   data: {
-                    updatePendingCreation: {
+                    adminUpdateContribution: {
                       date: expect.any(String),
                       memo: 'Danke Peter!',
                       amount: '300',
@@ -1076,7 +1247,7 @@ describe('AdminResolver', () => {
             it('returns update creation object', async () => {
               await expect(
                 mutate({
-                  mutation: updatePendingCreation,
+                  mutation: adminUpdateContribution,
                   variables: {
                     id: creation ? creation.id : -1,
                     email: 'peter@lustig.de',
@@ -1088,7 +1259,7 @@ describe('AdminResolver', () => {
               ).resolves.toEqual(
                 expect.objectContaining({
                   data: {
-                    updatePendingCreation: {
+                    adminUpdateContribution: {
                       date: expect.any(String),
                       memo: 'Das war leider zu Viel!',
                       amount: '200',
@@ -1101,16 +1272,16 @@ describe('AdminResolver', () => {
           })
         })
 
-        describe('getPendingCreations', () => {
+        describe('listUnconfirmedContributions', () => {
           it('returns four pending creations', async () => {
             await expect(
               query({
-                query: getPendingCreations,
+                query: listUnconfirmedContributions,
               }),
             ).resolves.toEqual(
               expect.objectContaining({
                 data: {
-                  getPendingCreations: expect.arrayContaining([
+                  listUnconfirmedContributions: expect.arrayContaining([
                     {
                       id: expect.any(Number),
                       firstName: 'Peter',
@@ -1162,19 +1333,19 @@ describe('AdminResolver', () => {
           })
         })
 
-        describe('deletePendingCreation', () => {
+        describe('adminDeleteContribution', () => {
           describe('creation id does not exist', () => {
             it('throws an error', async () => {
               await expect(
                 mutate({
-                  mutation: deletePendingCreation,
+                  mutation: adminDeleteContribution,
                   variables: {
                     id: -1,
                   },
                 }),
               ).resolves.toEqual(
                 expect.objectContaining({
-                  errors: [new GraphQLError('Creation not found for given id.')],
+                  errors: [new GraphQLError('Contribution not found for given id.')],
                 }),
               )
             })
@@ -1184,33 +1355,33 @@ describe('AdminResolver', () => {
             it('returns true', async () => {
               await expect(
                 mutate({
-                  mutation: deletePendingCreation,
+                  mutation: adminDeleteContribution,
                   variables: {
                     id: creation ? creation.id : -1,
                   },
                 }),
               ).resolves.toEqual(
                 expect.objectContaining({
-                  data: { deletePendingCreation: true },
+                  data: { adminDeleteContribution: true },
                 }),
               )
             })
           })
         })
 
-        describe('confirmPendingCreation', () => {
+        describe('confirmContribution', () => {
           describe('creation does not exits', () => {
             it('throws an error', async () => {
               await expect(
                 mutate({
-                  mutation: confirmPendingCreation,
+                  mutation: confirmContribution,
                   variables: {
                     id: -1,
                   },
                 }),
               ).resolves.toEqual(
                 expect.objectContaining({
-                  errors: [new GraphQLError('Creation not found to given id.')],
+                  errors: [new GraphQLError('Contribution not found to given id.')],
                 }),
               )
             })
@@ -1230,14 +1401,14 @@ describe('AdminResolver', () => {
             it('thows an error', async () => {
               await expect(
                 mutate({
-                  mutation: confirmPendingCreation,
+                  mutation: confirmContribution,
                   variables: {
                     id: creation ? creation.id : -1,
                   },
                 }),
               ).resolves.toEqual(
                 expect.objectContaining({
-                  errors: [new GraphQLError('Moderator can not confirm own pending creation')],
+                  errors: [new GraphQLError('Moderator can not confirm own contribution')],
                 }),
               )
             })
@@ -1257,14 +1428,14 @@ describe('AdminResolver', () => {
             it('returns true', async () => {
               await expect(
                 mutate({
-                  mutation: confirmPendingCreation,
+                  mutation: confirmContribution,
                   variables: {
                     id: creation ? creation.id : -1,
                   },
                 }),
               ).resolves.toEqual(
                 expect.objectContaining({
-                  data: { confirmPendingCreation: true },
+                  data: { confirmContribution: true },
                 }),
               )
             })
@@ -1282,8 +1453,8 @@ describe('AdminResolver', () => {
           })
 
           describe('confirm two creations one after the other quickly', () => {
-            let c1: AdminPendingCreation | void
-            let c2: AdminPendingCreation | void
+            let c1: Contribution | void
+            let c2: Contribution | void
 
             beforeAll(async () => {
               const now = new Date()
@@ -1304,25 +1475,25 @@ describe('AdminResolver', () => {
             // In the futrue this should not throw anymore
             it('throws an error for the second confirmation', async () => {
               const r1 = mutate({
-                mutation: confirmPendingCreation,
+                mutation: confirmContribution,
                 variables: {
                   id: c1 ? c1.id : -1,
                 },
               })
               const r2 = mutate({
-                mutation: confirmPendingCreation,
+                mutation: confirmContribution,
                 variables: {
                   id: c2 ? c2.id : -1,
                 },
               })
               await expect(r1).resolves.toEqual(
                 expect.objectContaining({
-                  data: { confirmPendingCreation: true },
+                  data: { confirmContribution: true },
                 }),
               )
               await expect(r2).resolves.toEqual(
                 expect.objectContaining({
-                  errors: [new GraphQLError('Unable to confirm creation.')],
+                  errors: [new GraphQLError('Creation was not successful.')],
                 }),
               )
             })
